Index: branches/UKMO/dev_r5021_nn_etau_revision/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- branches/UKMO/dev_r5021_nn_etau_revision/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 5446)
+++ branches/UKMO/dev_r5021_nn_etau_revision/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 5532)
@@ -1123,17 +1123,13 @@
       IF( cp_cfg == "orca" .AND. jp_cfg == 1 ) THEN    ! ORCA R1 configuration
          !                                             ! =====================
-         ! This dirty section will be suppressed by simplification process: all this will come back in input files
-         ! Currently these hard-wired indices relate to the original (pre-v3.6) configuration 
+         ! This dirty section will be suppressed by simplification process:
+         ! all this will come back in input files
+         ! Currently these hard-wired indices relate to configuration with
+         ! extend grid (jpjglo=332)
          ! which had a grid-size of 362x292.
-         ! This grid has been extended southwards for use with the under ice-shelf options (isf) introduced in v3.6. 
-         ! The original domain can still be used optionally if the isf code is not activated. 
-         ! An adjustment (isrow) is made to the hard-wired indices if the extended domain (362x332) is being used.
-         ! 
-         IF    ( jpjglo == 292 ) THEN  ;  isrow = 0  ! Using pre-v3.6 files or adjusted start row from isf-extended grid
-         ELSEIF( jpjglo == 332 ) THEN  ;  isrow = 40 ! Using full isf­extended domain. 
-         ENDIF     
+         isrow = 332 - jpjglo
          !
          ii0 = 282           ;   ii1 = 283        ! Gibraltar Strait (e2u was modified)
-         ij0 = 201 + isrow   ;   ij1 = 201 + isrow
+         ij0 = 241 - isrow   ;   ij1 = 241 - isrow
          DO jk = 1, jpkm1
             DO jj = mj0(ij0), mj1(ij1)
@@ -1156,5 +1152,5 @@
          !
          ii0 = 314           ;   ii1 = 315        ! Bhosporus Strait (e2u was modified)
-         ij0 = 208 + isrow   ;   ij1 = 208 + isrow
+         ij0 = 248 - isrow   ;   ij1 = 248 - isrow
          DO jk = 1, jpkm1
             DO jj = mj0(ij0), mj1(ij1)
@@ -1177,5 +1173,5 @@
          !
          ii0 =  44           ;   ii1 =  44        ! Lombok Strait (e1v was modified)
-         ij0 = 124 + isrow   ;   ij1 = 125 + isrow
+         ij0 = 164 - isrow   ;   ij1 = 165 - isrow
          DO jk = 1, jpkm1
             DO jj = mj0(ij0), mj1(ij1)
@@ -1193,5 +1189,5 @@
          !
          ii0 =  48           ;   ii1 =  48        ! Sumba Strait (e1v was modified) [closed from bathy_11 on]
-         ij0 = 124 + isrow   ;   ij1 = 125 + isrow
+         ij0 = 164 - isrow   ;   ij1 = 165 - isrow
          DO jk = 1, jpkm1
             DO jj = mj0(ij0), mj1(ij1)
@@ -1209,5 +1205,5 @@
          !
          ii0 =  53          ;   ii1 =  53        ! Ombai Strait (e1v was modified)
-         ij0 = 124 + isrow  ;   ij1 = 125  + isrow  
+         ij0 = 164 - isrow  ;   ij1 = 165  - isrow  
          DO jk = 1, jpkm1
             DO jj = mj0(ij0), mj1(ij1)
@@ -1224,6 +1220,6 @@
          END DO
          !
-         ii0 =  56             ;   ii1 =  56        ! Timor Passage (e1v was modified)
-         ij0 = 124  + isrow    ;   ij1 = 125  + isrow  
+         ii0 =  56            ;   ii1 =  56        ! Timor Passage (e1v was modified)
+         ij0 = 164 - isrow    ;   ij1 = 165  - isrow  
          DO jk = 1, jpkm1
             DO jj = mj0(ij0), mj1(ij1)
@@ -1240,6 +1236,6 @@
          END DO
          !
-         ii0 =  55             ;   ii1 =  55        ! West Halmahera Strait (e1v was modified)
-         ij0 = 141  + isrow    ;   ij1 = 142  + isrow  
+         ii0 =  55            ;   ii1 =  55        ! West Halmahera Strait (e1v was modified)
+         ij0 = 181 - isrow    ;   ij1 = 182 - isrow  
          DO jk = 1, jpkm1
             DO jj = mj0(ij0), mj1(ij1)
@@ -1256,6 +1252,6 @@
          END DO
          !
-         ii0 =  58             ;   ii1 =  58        ! East Halmahera Strait (e1v was modified)
-         ij0 = 141  + isrow    ;   ij1 = 142  + isrow  
+         ii0 =  58            ;   ii1 =  58        ! East Halmahera Strait (e1v was modified)
+         ij0 = 181 - isrow    ;   ij1 = 182 - isrow  
          DO jk = 1, jpkm1
             DO jj = mj0(ij0), mj1(ij1)